commit:     d6be56539c61af1415bb8e4aad0742f6bd4da620
Author:     Gerhard Bräunlich <wippbox <AT> gmx <DOT> net>
AuthorDate: Sat Sep 24 07:57:50 2016 +0000
Commit:     David Seifert <soap <AT> gentoo <DOT> org>
CommitDate: Sat Sep 24 13:30:43 2016 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=d6be5653

sci-misc/gato: Version bump to 1.2.2 + EAPI bump 4 -> 6

Package-Manager: portage-2.2.28
Closes: https://github.com/gentoo/gentoo/pull/2397

Signed-off-by: David Seifert <soap <AT> gentoo.org>

 sci-misc/gato/Manifest          |  1 +
 sci-misc/gato/gato-1.2.2.ebuild | 38 ++++++++++++++++++++++++++++++++++++++
 2 files changed, 39 insertions(+)

diff --git a/sci-misc/gato/Manifest b/sci-misc/gato/Manifest
index 430af62..1d23d2c 100644
--- a/sci-misc/gato/Manifest
+++ b/sci-misc/gato/Manifest
@@ -1 +1,2 @@
 DIST Gato-1.1.2.tar.gz 272060 SHA256 
eb700c73cc411be70713d34a936da62fca9c0173f875dba636e726e47dbfcadd SHA512 
a0567bc3ddb6060b713f3453f6a89d978da580c97ab28f094b90e82cfc584ba1cd459add0c5f2d32e746fc074ac78b2f3394d752a7bbdf14c8ccdd90b25e5008
 WHIRLPOOL 
024df3365c169a93cf2850ed571ad04a5e732f0bd3e535bd401881236acf8538aa673ba5dbc6bfa8b40dddab5737de1b863ea2d2029807631114be59c526c550
+DIST Gato-1.2.2.tar.gz 274369 SHA256 
d353b8af72ad780f0301912f101ea528822d616bea717c7ca84eaeb0609fa42f SHA512 
a628827b989f28817bcd427903d09f6571b3c2e571b57242d7c41562e558a00b278e87699565d16bf2584a0c8d33c07bf0a3c5113c9feeff417546a0a712c0c9
 WHIRLPOOL 
5eb369c6195ecff405e851a8e777a2b9469333031bc849ea03ad957d1370a99940e1887a6b4940a3fbf07968f8c4bed07e93e3c4ac835d72bb33000e9631b76a

diff --git a/sci-misc/gato/gato-1.2.2.ebuild b/sci-misc/gato/gato-1.2.2.ebuild
new file mode 100644
index 00000000..2216d36
--- /dev/null
+++ b/sci-misc/gato/gato-1.2.2.ebuild
@@ -0,0 +1,38 @@
+# Copyright 1999-2016 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=6
+
+PYTHON_COMPAT=( python2_7 )
+PYTHON_REQ_USE="tk(+)"
+
+inherit distutils-r1
+
+DESCRIPTION="Graph Animation Toolbox"
+HOMEPAGE="http://gato.sourceforge.net/";
+SRC_URI="mirror://sourceforge/${PN}/${P^}.tar.gz"
+
+LICENSE="LGPL-2"
+SLOT="0"
+KEYWORDS="~amd64 ~ppc ~x86 ~amd64-linux ~x86-linux"
+IUSE=""
+
+S="${WORKDIR}/${P^}"
+
+python_prepare_all() {
+       # change TKinter call to avoid crashing of X
+       sed -i \
+               -e 's:self.overrideredirect(1):self.overrideredirect(0):' \
+               "${S}"/GatoDialogs.py || die "failed to patch GatoDialogs.py"
+
+       distutils-r1_python_prepare_all
+}
+
+python_install_all() {
+       distutils-r1_python_install_all
+
+       # install data files
+       insinto /usr/share/${PN}
+       doins BFS.* DFS.* sample.cat
+}

Reply via email to